<script setup lang="ts">
import { hiLanguageSquare, hiTranslate } from "~/iconsets";

useLocaleHead();
const { t, availableLocales, locale } = useI18n();
const switchLocalePath = useSwitchLocalePath();

useSeoMeta({
  titleTemplate: (titleChunk) => {
    return titleChunk ? `${titleChunk} - Halvor Pro` : "Halvor Pro";
  },
  ogTitle: "Halvor Pro",
  twitterTitle: "Halvor Pro",
  description: t("html.description"),
  ogDescription: t("html.description"),
  twitterDescription: t("html.description")
});
</script>

<template>
  <v-app>
    <v-app-bar color="background">
      <template #prepend>
        <v-slide-x-transition>
          <v-app-bar-title class="ml-2">
            <nuxt-link-locale to="/" class="flex flex-row items-center gap-2 text-decoration-none on-surface">
              <v-img
                src="/favicon.svg" :height="32" :width="32" :max-width="32"
                :alt="t('logo')"
              />
              <span class="font-bold">Halvor Pro</span>
            </nuxt-link-locale>
          </v-app-bar-title>
        </v-slide-x-transition>
      </template>
      <template #append>
        <v-menu transition="scale-transition" location="start">
          <template #activator="{ props }">
            <v-app-bar-nav-icon v-bind="props" :icon="hiTranslate" />
          </template>
          <v-card>
            <v-list density="compact" :rounded="0">
              <v-list-item
                v-for="lcl in availableLocales" :key="lcl" :title="t(`locales.${lcl}`)" :rounded="0"
                :prepend-icon="hiLanguageSquare" :active="locale === lcl" :to="switchLocalePath(lcl)"
              />
            </v-list>
          </v-card>
        </v-menu>
      </template>
    </v-app-bar>
    <nuxt-layout>
      <nuxt-page />
    </nuxt-layout>
  </v-app>
</template>

<i18n locale="en">
{
  "html": {
    "description": "Start growing your business online today with Halvor Pro. We focus on bringing your online presence to the next level specifically designed for your business by a team that values your success."
  },
  "logo": "Halvor Pro's Logo",
  "nav": {
    "theme": "Toggle theme"
  },
  "locales": {
    "en": "English",
    "es": "Español"
  }
}
</i18n>
<i18n locale="es">
{
  "html": {
    "description": "Comience a hacer crecer su negocio en línea hoy con Halvor Pro. Nos enfocamos en llevar su presencia en línea al siguiente nivel, específicamente diseñada para su negocio por un equipo que valora su éxito."
  },
  "logo": "Logo de Halvor Pro",
  "nav": {
    "theme": "Cambiar tema"
  },
  "locales": {
    "en": "English",
    "es": "Español"
  }
}
</i18n>
